Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1492)

Issue 5448043: Refactor poisoning done inside ASan RTL (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 9 months ago by samsonov
Modified:
7 years, 9 months ago
Reviewers:
ramosian.glider, kcc
Base URL:
http://address-sanitizer.googlecode.com/svn/trunk/
Visibility:
Public.

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+62 lines, -54 lines) Patch
M asan/asan_allocator.cc View 2 chunks +4 lines, -14 lines 0 comments Download
M asan/asan_globals.cc View 1 chunk +9 lines, -11 lines 0 comments Download
M asan/asan_internal.h View 2 chunks +16 lines, -25 lines 0 comments Download
M asan/asan_mapping.h View 1 chunk +4 lines, -0 lines 1 comment Download
M asan/asan_poisoning.cc View 2 chunks +28 lines, -1 line 0 comments Download
M asan/asan_rtl.cc View 1 chunk +1 line, -3 lines 0 comments Download

Messages

Total messages: 5
samsonov
7 years, 9 months ago (2011-11-29 13:21:08 UTC) #1
kcc
LGTM++ (assuming there is not change in functionality, just refactoring) http://codereview.appspot.com/5448043/diff/1/asan/asan_mapping.h File asan/asan_mapping.h (right): http://codereview.appspot.com/5448043/diff/1/asan/asan_mapping.h#newcode94 ...
7 years, 9 months ago (2011-11-29 17:51:10 UTC) #2
samsonov
On Tue, Nov 29, 2011 at 9:51 PM, <konstantin.s.serebryany@gmail.com> wrote: > LGTM++ > (assuming there ...
7 years, 9 months ago (2011-11-29 19:11:29 UTC) #3
kcc
Do you have a fresh clang binary? This sounds like a bug I fixed recently ...
7 years, 9 months ago (2011-11-29 19:21:38 UTC) #4
samsonov
7 years, 9 months ago (2011-11-30 12:35:41 UTC) #5
> Do you have a fresh clang binary?

Indeed, clang revision was not bumped.

> This sounds like a bug I fixed recently (should not instrument odr linkage
> globals).

I checked out compiler-rt/lib/asan and tested a patch (setting CLANG_BUILD to
the patched Clang from ASan repository). Sent it to llvm-comits as well.


>
>
> On Tue, Nov 29, 2011 at 11:11 AM, Alexey Samsonov <samsonov@google.com>
> wrote:
>>
>> On Tue, Nov 29, 2011 at 9:51 PM,  <konstantin.s.serebryany@gmail.com>
>> wrote:
>> > LGTM++
>> > (assuming there is not change in functionality, just refactoring)
>>
>> More checks show something interesting:
>>
>> $ make b32
>> $ cd bin_Linux/
>> $ ASAN_OPTIONS="report_globals=2" ./asan_test32
>>
>> <....>
>> Added Global: beg=0x0819c3ec size=16 name=_ZTSN7testing4TestE
>> ==21395== CHECK failed: AddrIsAligned(g->beg) <...>
>>
>> Interesting, I believed all globals are at least 32-bytes aligned.
>> Will take a closer look tomorrow.
>>
>> >
>> > http://codereview.appspot.com/5448043/diff/1/asan/asan_mapping.h
>> > File asan/asan_mapping.h (right):
>> >
>> >
>> > http://codereview.appspot.com/5448043/diff/1/asan/asan_mapping.h#newcode94
>> > asan/asan_mapping.h:94: static inline bool AddrIsAligned(uintptr_t a) {
>> > AddrIsAlignedByGranularity
>> >
>> > http://codereview.appspot.com/5448043/
>> >
>>
>>
>>
>> --
>> Alexey Samsonov
>> Software Engineer, Moscow
>> samsonov@google.com
>
>



-- 
Alexey Samsonov
Software Engineer, Moscow
samsonov@google.com
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b